BasicBorders.ButtonBorder (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicBorders.ButtonBorder class
Date: 2015-07-19

javax.swing.plaf.basic

## Class BasicBorders.ButtonBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.basic.BasicBorders.ButtonBorder

- All Implemented Interfaces:
    Serializable, Border, UIResource
  Direct Known Subclasses:
    BasicBorders.RadioButtonBorder, BasicBorders.RolloverButtonBorder, BasicBorders.ToggleButtonBorder
  Enclosing class:
    BasicBorders

      public static class BasicBorders.ButtonBorder
      extends AbstractBorder
      implements UIResource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Color` | `darkShadow`
    `protected Color` | `highlight`
    `protected Color` | `lightHighlight`
    `protected Color` | `shadow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ButtonBorder(Color shadow, Color darkShadow, Color highlight, Color lightHighlight)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Insets` | `getBorderInsets(Component c, Insets insets)` Reinitializes the insets parameter with this Border's current Insets.
    `void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)` This default implementation does no painting.

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### shadow

          protected Color shadow

    - #### darkShadow

          protected Color darkShadow

    - #### highlight

          protected Color highlight

    - #### lightHighlight

          protected Color lightHighlight

  - ### Constructor Detail

    - #### ButtonBorder

          public ButtonBorder(Color shadow,
                              Color darkShadow,
                              Color highlight,
                              Color lightHighlight)

  - ### Method Detail

    - #### paintBorder

          public void paintBorder(Component c,
                                  Graphics g,
                                  int x,
                                  int y,
                                  int width,
                                  int height)

      Description copied from class: `AbstractBorder`
      This default implementation does no painting.
      Specified by:
        `paintBorder` in interface `Border`
      Overrides:
        `paintBorder` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border is being painted
        `g` - the paint graphics
        `x` - the x position of the painted border
        `y` - the y position of the painted border
        `width` - the width of the painted border
        `height` - the height of the painted border

    - #### getBorderInsets

          public Insets getBorderInsets(Component c,
                                        Insets insets)

      Description copied from class: `AbstractBorder`
      Reinitializes the insets parameter with this Border's current Insets.
      Overrides:
        `getBorderInsets` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border insets value applies
        `insets` - the object to be reinitialized
      Returns:
        the `insets` object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.